<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Form</title>
    <style>
        input[type=text] {
            width: 100%;
            padding: 12px 20px;
            margin: 8px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }
        input[type=submit] {
            width: 100%;
            background-color: #127bf3;
            color: white;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        input[type=submit]:hover {
            background-color: #0e66ca;
        }
        .header {
            background-color: rgb(86, 162, 233);
            padding: 15px;
            text-align: center;
        }
        .form_container {
            text-align: center;
            margin-left: auto;
            margin-right: auto;
        }
        .navbar_container {
            background-color: rgb(121, 213, 216);
            padding: 15px;
            text-align: center;
        }
    </style>
  </head>
  <body>
        <div class="navbar_container">
            <div class="navbar">
                <a href="/lab-4">Note Table</a>
                <a>|</a>
                <a href="/lab-4/add-note">Add Note</a>
                <a>|</a>
                <a href="/lab-4/note-list">Note List</a>
            </div>
        </div>
        <div class="header">
            <h1>Please insert your note details below :)</h1>
        </div>
        <div class="form_container">
            <form action="" method="POST">
                {% csrf_token %}
                <label id="label">To:</label>
                <input type="text" id="to_input" name="to_person" required>
                {% csrf_token %}
                <label id="label">From:</label>
                <input type="text" id="from_input" name="from_person" required>
                {% csrf_token %}
                <label id="label">Note Title:</label>
                <input type="text" id="title_input" name="title" required>
                {% csrf_token %}
                <label id="label">Note Message:</label>
                <input type="text" id="message_input" name="message" required>
                <P><input type="submit" value="Submit"></P>
            </form>
        </div>
  </body>
</html>